## tensorflow 2.3.1

=== debian/changelog ===
tensorflow (2.3.1-1) experimental; urgency=medium

  [ Wookey ]
  * Complete initial packaging (Closes: #959765)
    (build with bazel3, install files, symlinks, verbose builds)
  * Remove unused embedded tarballs
  * Remove rpaths
  * Add pkgconfig files
  * Force clean builds
  * Update Copyright to 2.3.1
  * Enable debug builds/packages
  * Use system libpng, highwayhash, jsoncpp, protoc
  * Update symbols

  [ Michael R. Crusoe ]
  * Restart packaging using bazel-bootstrap

  [ Andreas Tille ]
  * New upstream version 2.3.1
  * Move package to Debian Deep Learning Team
  * Uncomment python3-tensorflow
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * cme fix dpkg-control

 -- Wookey <wookey@debian.org>  Thu, 10 Jun 2021 09:33:55 +0000

tensorflow (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0 (Oct 2019).
  * Rewrite the buildsystem, which reconstructs the dependency graph
    by parsing the Bazel buildlog, and subsequently generates a Ninja
    build to approximate the original build sequence.
    + Bazel2Json.py: reads build command sequence from raw buildlog
      of bazel, and stores result into a json file.
    + Json2Ninja.py: read build sequence from json file, understand
      each command line and rebuild the dependency graph. It also
      scans the C++ header includes to avoid surprising FTBFS.
  * Build the following 3 shared objects (standard tensorflow v2):
    + libtensorflow_framework.so.2  (foundamental lib)
    + libtensorflow.so.2            (C interface)
    + libtensorflow_cc.so.2         (C++ interface)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 26 Oct 2019 11:10:28 +0800
