=== debian/control ===
Source: tensorflow
Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>,
           Andreas Tille <tille@debian.org>,
	   Wookey <wookey@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               chrpath,
               rsync,
               android-libboringssl-dev,
               libcurl4-nss-dev,
               libdouble-conversion-dev,
               libfarmhash-dev,
               libgemmlowp-dev,
               libgif-dev,
               libgrpc++-dev (>= 1.23~),
               libgrpc-dev (>= 1.23~),
               libgtest-dev,
               libhighwayhash-dev,
               libhwloc-dev,
               libicu-dev,
               libjpeg62-turbo-dev,
               libjsoncpp-dev,
               liblmdb-dev,
               libdnnl-dev [amd64 arm64 ppc64el s390x],
               libnsync-dev,
               libpng-dev,
               libprotobuf-dev (>= 3.8~),
               libprotoc-dev (>= 3.8~),
               libre2-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libsuperlu-dev,
               bazel-bootstrap,
               protobuf-compiler (>= 3.8.0~),
               protobuf-compiler-grpc (>= 1.23~),
               python3,
               python3-all-dev,
               python3-future,
               python3-keras,
               python3-keras-applications,
               python3-keras-preprocessing,
               python3-mock,
               python3-numpy,
               python3-setuptools,
               python3-tqdm,
               python3-wheel,
               swig,
               zlib1g-dev,
               nasm
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/deeplearning-team/tensorflow
Vcs-Git: https://salsa.debian.org/deeplearning-team/tensorflow.git
Homepage: https://tensorflow.org/

# MISSING features: tensorflow lite, tensorflow extended, tensorflow.js
Package: libtensorflow-framework2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
# I copied some detail about this shared object from tensorflow/BUILD
Description: Computation using data flow graphs for scalable machine learning
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow_framework.so.2.0
 .
 A shared object which includes registration mechanisms for ops and
 kernels. Does not include the implementations of any ops or kernels.
 Instead, the library which loads libtensorflow_framework.so
 (e.g. _pywrap_tensorflow_internal.so for Python, libtensorflow.so for the C
 API) is responsible for registering ops with libtensorflow_framework.so. In
 addition to this core set of ops, user libraries which are loaded (via
 TF_LoadLibrary/tf.load_op_library) register their ops and kernels with this
 shared object directly.
 .
 For example, from Python tf.load_op_library loads a custom op library (via
 dlopen() on Linux), the library finds libtensorflow_framework.so (no
 filesystem search takes place, since libtensorflow_framework.so has already
 been loaded by pywrap_tensorflow) and registers its ops and kernels via
 REGISTER_OP and REGISTER_KERNEL_BUILDER (which use symbols from
 libtensorflow_framework.so), and pywrap_tensorflow can then use these
 ops. Since other languages use the same libtensorflow_framework.so, op
 libraries are language agnostic.

#Package: libtensorflow2
#Architecture: any
#Multi-Arch: same
#Section: libs
#Depends: ${misc:Depends},
#         ${shlibs:Depends},
#         libtensorflow-framework2 (= ${binary:Version})
#Description: Computation using data flow graphs for scalable machine learning (C)
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# This package ships shared object libtensorflow.so.2.0, which exports
# C API for TensorFlow (i.e. symbols named "*TF_*" or "*TFE_*").

Package: libtensorflow-cc2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtensorflow-framework2 (= ${binary:Version}),
#libtensorflow2 (= ${binary:Version})
Description: Computation using data flow graphs for scalable machine learning (C++)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow_cc.so.2.0, which exports
 C++ API for TensorFlow (i.e. *tensorflow* *TF_* *TFE_* *pywrap_xla*).

Package: libtensorflow-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtensorflow-framework2 (= ${binary:Version}),
         libtensorflow-cc2 (= ${binary:Version})
Description: Computation using data flow graphs for scalable machine learning (dev)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships C and C++ headers files for tensorflow.

#Package: python3-tensorflow
#Architecture: any
#Multi-Arch: foreign
#Depends: ${misc:Depends},
#         ${shlibs:Depends},
#         libtensorflow-framework2 (= ${binary:Version})
#Description: Computation using data flow graphs for scalable machine learning (Py3)
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# This package ships Python3 interface of tensorflow.
