## tensorflow 2.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.4.0
+Version: 2.5.0
 Authors@R: c(
-  person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
+  person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
   person(family = "RStudio", role = c("cph", "fnd")),
   person("Yuan", "Tang", role = c("aut", "cph"),
@@ -13,7 +13,8 @@
          email = "edd@debian.org"),
   person("Nick", "Golding", role = c("ctb", "cph"),
          email = "nick.golding.research@gmail.com"),
-  person("Tomasz", "Kalinowski", role = c("ctb", "cph")),
+  person("Tomasz", "Kalinowski", role = c("ctb", "cph", "cre"), 
+         email = "tomasz.kalinowski@rstudio.com"),
   person(family = "Google Inc.", role = c("ctb", "cph"),
          comment = "Examples and Tutorials")
   )
@@ -34,7 +35,6 @@
 BugReports: https://github.com/rstudio/tensorflow/issues
 SystemRequirements: TensorFlow (https://www.tensorflow.org/)
 Encoding: UTF-8
-LazyData: true
 Depends: R (>= 3.1)
 Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.10),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
@@ -43,15 +43,15 @@
 Config/reticulate: list( packages = list( list(package = "tensorflow",
         pip = TRUE) ) )
 NeedsCompilation: no
-Packaged: 2021-03-23 21:10:54 UTC; dfalbel
-Author: Daniel Falbel [ctb, cph, cre],
+Packaged: 2021-06-10 13:02:52 UTC; tomasz
+Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
   Dirk Eddelbuettel [ctb, cph],
   Nick Golding [ctb, cph],
-  Tomasz Kalinowski [ctb, cph],
+  Tomasz Kalinowski [ctb, cph, cre],
   Google Inc. [ctb, cph] (Examples and Tutorials)
-Maintainer: Daniel Falbel <daniel@rstudio.com>
+Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-03-23 21:40:02 UTC
+Date/Publication: 2021-06-10 15:30:06 UTC
