## tensorflow 2.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.6.0
+Version: 2.7.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -37,11 +37,11 @@
 Encoding: UTF-8
 Depends: R (>= 3.1)
 Imports: config, processx, reticulate (>= 1.10), tfruns (>= 1.0),
-        utils, yaml, tfautograph (>= 0.3), rstudioapi (>= 0.7)
+        utils, yaml, tfautograph (>= 0.3.1), rstudioapi (>= 0.7)
 Suggests: testthat (>= 2.1.0), keras, callr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2021-08-19 18:24:44 UTC; tomasz
+Packaged: 2021-11-09 15:59:06 UTC; tomasz
 Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +52,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-08-19 18:50:02 UTC
+Date/Publication: 2021-11-09 16:20:02 UTC
