## tensorflow 2.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.7.0
+Version: 2.8.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
-  person(family = "RStudio", role = c("cph", "fnd")),
+  person("RStudio", role = c("cph", "fnd")),
   person("Yuan", "Tang", role = c("aut", "cph"),
          email = "terrytangyuan@gmail.com",
          comment = c(ORCID = "0000-0001-5243-233X")),
@@ -15,7 +15,7 @@
          email = "nick.golding.research@gmail.com"),
   person("Tomasz", "Kalinowski", role = c("ctb", "cph", "cre"),
          email = "tomasz.kalinowski@rstudio.com"),
-  person(family = "Google Inc.", role = c("ctb", "cph"),
+  person("Google Inc.", role = c("ctb", "cph"),
          comment = "Examples and Tutorials")
   )
 Description: Interface to 'TensorFlow' <https://www.tensorflow.org/>,
@@ -36,12 +36,12 @@
 SystemRequirements: TensorFlow (https://www.tensorflow.org/)
 Encoding: UTF-8
 Depends: R (>= 3.1)
-Imports: config, processx, reticulate (>= 1.10), tfruns (>= 1.0),
+Imports: config, processx, reticulate (>= 1.24), tfruns (>= 1.0),
         utils, yaml, tfautograph (>= 0.3.1), rstudioapi (>= 0.7)
 Suggests: testthat (>= 2.1.0), keras, callr
 RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2021-11-09 15:59:06 UTC; tomasz
+Packaged: 2022-02-09 20:29:08 UTC; tomasz
 Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +52,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-11-09 16:20:02 UTC
+Date/Publication: 2022-02-09 21:00:02 UTC
