## tensorflow 2.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.8.0
+Version: 2.9.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -37,11 +37,12 @@
 Encoding: UTF-8
 Depends: R (>= 3.1)
 Imports: config, processx, reticulate (>= 1.24), tfruns (>= 1.0),
-        utils, yaml, tfautograph (>= 0.3.1), rstudioapi (>= 0.7)
+        utils, yaml, grDevices, tfautograph (>= 0.3.1), rstudioapi (>=
+        0.7)
 Suggests: testthat (>= 2.1.0), keras, callr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-02-09 20:29:08 UTC; tomasz
+Packaged: 2022-05-21 00:28:36 UTC; tomasz
 Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +53,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-02-09 21:00:02 UTC
+Date/Publication: 2022-05-21 07:20:02 UTC
